// hasarray.cpp
// Glenn G. Chappell
// 26 Sep 2013
//
// For CS 202 Fall 2013
// Source for class HasArray
// Demo of dynamic allocation, copy ctor

#include "hasarray.h"  // For class HasArray definition


// Default ctor & ctor from int
// Allocate array of given size (defaults to 10)
HasArray::HasArray(int size)
{
    if (size < 0)
        _size = 0;
    else
        _size = size;
    _array = new int[_size];
}


// Copy Ctor
// Copies array data
HasArray::HasArray(const HasArray & other)
{
    _size = other._size;
    _array = new int[_size];
    for (int i = 0; i < _size; ++i)
        _array[i] = other._array[i];
}

